Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface ICodeAssist

All Known Subinterfaces:
  IClassFile, ICompilationUnit

public interface ICodeAssist

Common protocol for Java elements that support source code assist and code resolve.

This interface is not intended to be implemented by clients.

Method Summary
`void` | `codeComplete(int offset, CompletionRequestor requestor)` DO NOT USE: This API element was added in anticipation of J2SE 1.5 support, which is planned for the next release of Eclipse after 3.0.
`void` | `codeComplete(int offset, CompletionRequestor requestor, WorkingCopyOwner owner)` DO NOT USE: This API element was added in anticipation of J2SE 1.5 support, which is planned for the next release of Eclipse after 3.0.
`void` | `codeComplete(int offset, ICodeCompletionRequestor requestor)` Deprecated. Use `codeComplete(int, ICompletionRequestor)` instead.
`void` | `codeComplete(int offset, ICompletionRequestor requestor)` Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor.
`void` | `codeComplete(int offset, ICompletionRequestor requestor, WorkingCopyOwner owner)` Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor.
`IJavaElement[]` | `codeSelect(int offset, int length)` Returns the Java elements correspondiing to the given selected text in this compilation unit.
`IJavaElement[]` | `codeSelect(int offset, int length, WorkingCopyOwner owner)` Returns the Java elements correspondiing to the given selected text in this compilation unit.

Method Detail

### codeComplete

    public void codeComplete(int offset,
                             ICodeCompletionRequestor requestor)
                      throws JavaModelException

  Deprecated. Use `codeComplete(int, ICompletionRequestor)` instead.

  Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor. The `offset` is the 0-based index of the character, after which code assist is desired. An `offset` of -1 indicates to code assist at the beginning of this compilation unit.

  Parameters:
    `offset` - the given offset position
    `requestor` - the given completion requestor
  Throws:
    `JavaModelException` - if code assist could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The position specified is < -1 or is greater than this compilation unit's source length (INDEX_OUT_OF_BOUNDS)
    `IllegalArgumentException` - if `requestor` is `null`

### codeComplete

    public void codeComplete(int offset,
                             ICompletionRequestor requestor)
                      throws JavaModelException

  Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor. The `offset` is the 0-based index of the character, after which code assist is desired. An `offset` of -1 indicates to code assist at the beginning of this compilation unit.

  Parameters:
    `offset` - the given offset position
    `requestor` - the given completion requestor
  Throws:
    `JavaModelException` - if code assist could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The position specified is < -1 or is greater than this compilation unit's source length (INDEX_OUT_OF_BOUNDS)
    `IllegalArgumentException` - if `requestor` is `null`
  Since:
    2.0

### codeComplete

    public void codeComplete(int offset,
                             CompletionRequestor requestor)
                      throws JavaModelException

  DO NOT USE: This API element was added in anticipation of J2SE 1.5 support, which is planned for the next release of Eclipse after 3.0. It is currently unimplemented, and the API may change slightly before reaching its final form.

  Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor. The `offset` is the 0-based index of the character, after which code assist is desired. An `offset` of -1 indicates to code assist at the beginning of this compilation unit.

  Parameters:
    `offset` - the given offset position
    `requestor` - the given completion requestor
  Throws:
    `JavaModelException` - if code assist could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The position specified is < -1 or is greater than this compilation unit's source length (INDEX_OUT_OF_BOUNDS)
    `IllegalArgumentException` - if `requestor` is `null`
  Since:
    3.0

### codeComplete

    public void codeComplete(int offset,
                             ICompletionRequestor requestor,
                             WorkingCopyOwner owner)
                      throws JavaModelException

  Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor. The `offset` is the 0-based index of the character, after which code assist is desired. An `offset` of -1 indicates to code assist at the beginning of this compilation unit. It considers types in the working copies with the given owner first. In other words, the owner's working copies will take precedence over their original compilation units in the workspace.

  Note that if a working copy is empty, it will be as if the original compilation unit had been deleted.

  Parameters:
    `offset` - the given offset position
    `requestor` - the given completion requestor
    `owner` - the owner of working copies that take precedence over their original compilation units
  Throws:
    `JavaModelException` - if code assist could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The position specified is < -1 or is greater than this compilation unit's source length (INDEX_OUT_OF_BOUNDS)
    `IllegalArgumentException` - if `requestor` is `null`
  Since:
    3.0

### codeComplete

    public void codeComplete(int offset,
                             CompletionRequestor requestor,
                             WorkingCopyOwner owner)
                      throws JavaModelException

  DO NOT USE: This API element was added in anticipation of J2SE 1.5 support, which is planned for the next release of Eclipse after 3.0. It is currently unimplemented, and the API may change slightly before reaching its final form.

  Performs code completion at the given offset position in this compilation unit, reporting results to the given completion requestor. The `offset` is the 0-based index of the character, after which code assist is desired. An `offset` of -1 indicates to code assist at the beginning of this compilation unit. It considers types in the working copies with the given owner first. In other words, the owner's working copies will take precedence over their original compilation units in the workspace.

  Note that if a working copy is empty, it will be as if the original compilation unit had been deleted.

  Parameters:
    `offset` - the given offset position
    `requestor` - the given completion requestor
    `owner` - the owner of working copies that take precedence over their original compilation units
  Throws:
    `JavaModelException` - if code assist could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The position specified is < -1 or is greater than this compilation unit's source length (INDEX_OUT_OF_BOUNDS)
    `IllegalArgumentException` - if `requestor` is `null`
  Since:
    3.0

### codeSelect

    public IJavaElement[] codeSelect(int offset,
                                     int length)
                              throws JavaModelException

  Returns the Java elements correspondiing to the given selected text in this compilation unit. The `offset` is the 0-based index of the first selected character. The `length` is the number of selected characters.

  Parameters:
    `offset` - the given offset position
    `length` - the number of selected characters
  Returns:
    the Java elements correspondiing to the given selected text
  Throws:
    `JavaModelException` - if code resolve could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The range specified is not within this element's source range (INDEX_OUT_OF_BOUNDS)

### codeSelect

    public IJavaElement[] codeSelect(int offset,
                                     int length,
                                     WorkingCopyOwner owner)
                              throws JavaModelException

  Returns the Java elements correspondiing to the given selected text in this compilation unit. The `offset` is the 0-based index of the first selected character. The `length` is the number of selected characters. It considers types in the working copies with the given owner first. In other words, the owner's working copies will take precedence over their original compilation units in the workspace.

  Note that if a working copy is empty, it will be as if the original compilation unit had been deleted.

  Parameters:
    `offset` - the given offset position
    `length` - the number of selected characters
    `owner` - the owner of working copies that take precedence over their original compilation units
  Returns:
    the Java elements correspondiing to the given selected text
  Throws:
    `JavaModelException` - if code resolve could not be performed. Reasons include:
    - This Java element does not exist (ELEMENT_DOES_NOT_EXIST)
    - The range specified is not within this element's source range (INDEX_OUT_OF_BOUNDS)
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.